All Frameworks Object Hierarchy This Framework Indexes
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine")
o Property IntegrationType( | ) As (Read Only) |
o Property UseGraphicalUI( | ) As |
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") Dim bIsActive As boolean bIsActive = oStiEngine.UseGraphicalUI If Not bIsActive Then oStiEngine.UseGraphicalUI = True End If
o Func BuildDocDBItemFromSmarTeamID( | iobjectId, | |
iclassId) As |
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") Dim iobjectId As long iobjectId = 963 Dim iclassId As short iclassId = 57 Dim oStiDBItem As StiDBItem Set oStiDBItem = oStiEngine.BuildDocDBItemFromSmarTeamID iobjectId, iclassId
o Func BuildFileDBItemFromSmarTeamID( | iobjectId, | |
iclassId) As |
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") Dim iobjectId As long iobjectId = 963 Dim iclassId As short iclassId = 57 Dim oStiDBItem As StiDBItem Set oStiDBItem = oStiEngine.BuildFileDBItemFromSmarTeamID iobjectId, iclassId
o Sub Connect( | iUserLogin, | |
iUserPassword) |
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") Dim iUserLogin As CATBSTR iUserLogin = "xxx" Dim iUserPassword As CATBSTR iUserPassword = "yyy" oStiEngine.Connect iUserLogin,iUserPassword********** Connection Without 'iUserLogin' & 'iUserPassword' **********
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") oStiEngine.Connect "",""
o Sub Disconnect( | ) |
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") oStiEngine.Connect "","" (...) oStiEngine.Disconnect
o Func GetSMARTEAMClassID( | iStiDBItem) As |
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") ' Retrieve the Current Activated Product Document Dim productDocument01 As Document Set productDocument01 = CATIA.ActiveDocument ' Retrieve the StiDBItem from the Document Dim iStiDBItem As StiDBItem Set iStiDBItem = oStiEngine.GetStiDBItemFromAnyObject(productDocument01) Dim oClassId As short oClassId = oStiEngine.GetSMARTEAMClassID(iStiDBItem)
o Func GetSMARTEAMObjectID( | iStiDBItem) As |
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") ' Retrieve the Current Activated Product Document Dim productDocument01 As Document Set productDocument01 = CATIA.ActiveDocument ' Retrieve the StiDBItem from the Document Dim iStiDBItem As StiDBItem Set iStiDBItem = oStiEngine.GetStiDBItemFromAnyObject(productDocument01) Dim oObjectId As long oObjectId = oStiEngine.GetSMARTEAMObjectID(iStiDBItem)
o Func GetStiDBItemFromAnyObject( | iAnyObject) As |
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") ' Retrieve the Current Activated Product Document Dim productDocument01 As Document Set productDocument01 = CATIA.ActiveDocument ' Retrieve the StiDBItem from the Document Dim oStiDBItem As StiDBItem Set oStiDBItem = oStiEngine.GetStiDBItemFromAnyObject(productDocument01)
o Func GetStiDBItemFromCATBSTR( | iFullPath) As |
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") Dim iFullPath As CATBSTR iFullPath = "E:\CATIAFiles\Engine.CATProduct" Dim oStiDBItem As StiDBItem Set oStiDBItem = oStiEngine.GetStiDBItemFromCATBSTR(iFullPath)
o Func GetTeamPDMURL( | iStiDBItem) As |
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") Dim iobjectId As long iobjectId = 963 Dim iclassId As short iclassId = 57 Dim iStiDBItem As StiDBItem Set iStiDBItem = oStiEngine.BuildFileDBItemFromSmarTeamID iobjectId, iclassId Dim oTeamPDMURL As CATBSTR oTeamPDMURL = oStiEngine.GetTeamPDMURL iStiDBItem
o Func IsConnected( | ) As |
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") Dim oIsConnected As boolean oIsConnected = oStiEngine.IsConnected If Not oStiEngine.IsConnected() Then oStiEngine.Connect End If
o Sub LifeCycleCheckIn( | iStiDBItem) |
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") Dim bIsActive As boolean bIsActive = oStiEngine.UseGraphicalUI If Not bIsActive Then oStiEngine.UseGraphicalUI = True End If ' Retrieve the Current Activated Product Dim productDocument01 As Document Set productDocument01 = CATIA.ActiveDocument ' Retrieve the StiDBItem from the Document Dim iStiDBItem As StiDBItem Set iStiDBItem = oStiEngine.GetStiDBItemFromAnyObject( productDocument01 ) oStiEngine.LifeCycleCheckIn iStiDBItem********** LifeCycleCheckIn Without GUI **********
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") Dim bIsActive As boolean bIsActive = oStiEngine.UseGraphicalUI If bIsActive Then oStiEngine.UseGraphicalUI = False End If ' Retrieve the Current Activated Product Dim productDocument01 As Document Set productDocument01 = CATIA.ActiveDocument ' Retrieve the StiDBItem from the Document Dim iStiDBItem As StiDBItem Set iStiDBItem = oStiEngine.GetStiDBItemFromAnyObject( productDocument01 ) oStiEngine.LifeCycleCheckIn iStiDBItem
o Sub LifeCycleCheckOutPropagated( | iStiDBItem) |
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") Dim bIsActive As boolean bIsActive = oStiEngine.UseGraphicalUI If Not bIsActive Then oStiEngine.UseGraphicalUI = True End If ' Retrieve the Current Activated Product Dim productDocument01 As Document Set productDocument01 = CATIA.ActiveDocument ' Retrieve the StiDBItem from the Document Dim iStiDBItem As StiDBItem Set iStiDBItem = oStiEngine.GetStiDBItemFromAnyObject( productDocument01 ) oStiEngine.LifeCycleCheckOutPropagated iStiDBItem********** LifeCycleCheckOutPropagated Without GUI **********
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") Dim bIsActive As boolean bIsActive = oStiEngine.UseGraphicalUI If bIsActive Then oStiEngine.UseGraphicalUI = False End If ' Retrieve the Current Activated Product Dim productDocument01 As Document Set productDocument01 = CATIA.ActiveDocument ' Retrieve the StiDBItem from the Document Dim iStiDBItem As StiDBItem Set iStiDBItem = oStiEngine.GetStiDBItemFromAnyObject( productDocument01 ) oStiEngine.LifeCycleCheckOutPropagated iStiDBItem
o Sub LifeCycleCheckOut( | iStiDBItem) |
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") Dim bIsActive As boolean bIsActive = oStiEngine.UseGraphicalUI If Not bIsActive Then oStiEngine.UseGraphicalUI = True End If ' Retrieve the Current Activated Product Dim productDocument01 As Document Set productDocument01 = CATIA.ActiveDocument ' Retrieve the StiDBItem from the Document Dim iStiDBItem As StiDBItem Set iStiDBItem = oStiEngine.GetStiDBItemFromAnyObject( productDocument01 ) oStiEngine.LifeCycleCheckOut iStiDBItem********** LifeCycleCheckOut Without GUI **********
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") Dim bIsActive As boolean bIsActive = oStiEngine.UseGraphicalUI If bIsActive Then oStiEngine.UseGraphicalUI = False End If ' Retrieve the Current Activated Product Dim productDocument01 As Document Set productDocument01 = CATIA.ActiveDocument ' Retrieve the StiDBItem from the Document Dim iStiDBItem As StiDBItem Set iStiDBItem = oStiEngine.GetStiDBItemFromAnyObject( productDocument01 ) oStiEngine.LifeCycleCheckOut iStiDBItem
o Sub LifeCycleNewReleasePropagated( | iStiDBItem) |
Dim bIsActive As boolean bIsActive = oStiEngine.UseGraphicalUI If Not bIsActive Then oStiEngine.UseGraphicalUI = True End If ' Retrieve the Current Activated Product Dim productDocument01 As Document Set productDocument01 = CATIA.ActiveDocument ' Retrieve the StiDBItem from the Document Dim iStiDBItem As StiDBItem Set iStiDBItem = oStiEngine.GetStiDBItemFromAnyObject( productDocument01 ) oStiEngine.LifeCycleNewReleasePropagated iStiDBItem********** LifeCycleNewReleasePropagated Without GUI **********
Dim bIsActive As boolean bIsActive = oStiEngine.UseGraphicalUI If bIsActive Then oStiEngine.UseGraphicalUI = False End If ' Retrieve the Current Activated Product Dim productDocument01 As Document Set productDocument01 = CATIA.ActiveDocument ' Retrieve the StiDBItem from the Document Dim iStiDBItem As StiDBItem Set iStiDBItem = oStiEngine.GetStiDBItemFromAnyObject( productDocument01 ) oStiEngine.LifeCycleNewReleasePropagated iStiDBItem
o Sub LifeCycleNewRelease( | iStiDBItem) |
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") Dim bIsActive As boolean bIsActive = oStiEngine.UseGraphicalUI If Not bIsActive Then oStiEngine.UseGraphicalUI = True End If ' Retrieve the Current Activated Product Dim productDocument01 As Document Set productDocument01 = CATIA.ActiveDocument ' Retrieve the StiDBItem from the Document Dim iStiDBItem As StiDBItem Set iStiDBItem = oStiEngine.GetStiDBItemFromAnyObject( productDocument01 ) oStiEngine.LifeCycleNewRelease iStiDBItem********** LifeCycleNewRelease Without GUI **********
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") Dim bIsActive As boolean bIsActive = oStiEngine.UseGraphicalUI If bIsActive Then oStiEngine.UseGraphicalUI = False End If ' Retrieve the Current Activated Product Dim productDocument01 As Document Set productDocument01 = CATIA.ActiveDocument ' Retrieve the StiDBItem from the Document Dim iStiDBItem As StiDBItem Set iStiDBItem = oStiEngine.GetStiDBItemFromAnyObject( productDocument01 ) oStiEngine.LifeCycleNewRelease iStiDBItem
o Sub LifeCycleRelease( | iStiDBItem) |
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") Dim bIsActive As boolean bIsActive = oStiEngine.UseGraphicalUI If Not bIsActive Then oStiEngine.UseGraphicalUI = True End If ' Retrieve the Current activated document Dim productDocument01 As Document Set productDocument01 = CATIA.ActiveDocument ' Retrieve the StiDBItem from the Document Dim iStiDBItem As StiDBItem Set iStiDBItem = oStiEngine.GetStiDBItemFromAnyObject( productDocument01 ) oStiEngine.LifeCycleRelease iStiDBItem********** LifeCycleRelease Without GUI **********
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") Dim bIsActive As boolean bIsActive = oStiEngine.UseGraphicalUI If bIsActive Then oStiEngine.UseGraphicalUI = False End If ' Retrieve the Current activated document Dim productDocument01 As Document Set productDocument01 = CATIA.ActiveDocument ' Retrieve the StiDBItem from the Document Dim iStiDBItem As StiDBItem Set iStiDBItem = oStiEngine.GetStiDBItemFromAnyObject( productDocument01 ) oStiEngine.LifeCycleRelease iStiDBItem
o Sub LifeCycleUndoCheckOut( | iStiDBItem) |
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") Dim bIsActive As boolean bIsActive = oStiEngine.UseGraphicalUI If Not bIsActive Then oStiEngine.UseGraphicalUI = True End If ' Retrieve the Current Activated Product Dim productDocument01 As Document Set productDocument01 = CATIA.ActiveDocument ' Retrieve the StiDBItem from the Document Dim iStiDBItem As StiDBItem Set iStiDBItem = oStiEngine.GetStiDBItemFromAnyObject( productDocument01 ) oStiEngine.LifeCycleUndoCheckOut iStiDBItem********** LifeCycleUndoCheckOut Without GUI **********
Dim bIsActive As boolean bIsActive = oStiEngine.UseGraphicalUI If bIsActive Then oStiEngine.UseGraphicalUI = False End If ' Retrieve the Current Activated Product Dim productDocument01 As Document Set productDocument01 = CATIA.ActiveDocument ' Retrieve the StiDBItem from the Document Dim iStiDBItem As StiDBItem Set iStiDBItem = oStiEngine.GetStiDBItemFromAnyObject( productDocument01 ) oStiEngine.LifeCycleUndoCheckOut iStiDBItem
o Sub RefreshInfo( | ) |
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") oStiEngine.RefreshInfo
o Sub Save( | iStiDBItem) |
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") Dim bIsActive As boolean bIsActive = oStiEngine.UseGraphicalUI If Not bIsActive Then oStiEngine.UseGraphicalUI = True End If ' Retrieve the Current Activated Product Dim productDocument01 As Document Set productDocument01 = CATIA.ActiveDocument ' Retrieve the StiDBItem from the Document Dim iStiDBItem As StiDBItem Set iStiDBItem = oStiEngine.GetStiDBItemFromAnyObject(productDocument01) oStiEngine.Save iStiDBItem********** Save Without GUI **********
Dim oStiEngine As StiEngine Set oStiEngine = CATIA.GetItem("CAIEngine") Dim bIsActive As boolean bIsActive = oStiEngine.UseGraphicalUI If bIsActive Then oStiEngine.UseGraphicalUI = False End If ' Retrieve the Current Activated Product Dim productDocument01 As Document Set productDocument01 = CATIA.ActiveDocument ' Retrieve the StiDBItem from the Document Dim iStiDBItem As StiDBItem Set iStiDBItem = oStiEngine.GetStiDBItemFromAnyObject( productDocument01 ) ' Save the Product oStiEngine.Save iStiDBItem
Copyright © 2003, Dassault Systèmes. All rights reserved.